<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.toutiao.modules.material.mapper.ByteDanceVideoInfoMapper">
    <insert id="replaceBatch">
        replace into ctop_bytedance_video_info(
        id,
        vid,
        advertiser_id,
        account_id,
        material_id,
        url,
        material_upload_time,
        filename,
        format,
        poster_url,
        bit_rate,
        source,
        file_id,
        width,
        height,
        duration,
        size,
        video_url,
        status,
        create_time,
        update_time,
        signature,
        type )
        values
        <foreach collection="videoList" item="video" separator=",">
            (
            #{video.id},
            #{video.vid},
            #{video.advertiserId},
            #{video.accountId},
            #{video.materialId},
            #{video.url},
            #{video.materialUploadTime},
            #{video.filename},
            #{video.format},
            #{video.posterUrl},
            #{video.bitRate},
            #{video.source},
            #{video.fileId},
            #{video.width},
            #{video.height},
            #{video.duration},
            #{video.size},
            #{video.videoUrl},
            #{video.status},
            #{video.createTime},
            #{video.updateTime},
            #{video.signature},
            #{video.type}
            )
        </foreach>
    </insert>
</mapper>
